Package wx :: Package lib :: Package agw :: Module supertooltip :: Class ToolTipWindowBase

[frames | no frames]

## Type ToolTipWindowBase

    object --+
             |
            ToolTipWindowBase

Known Subclasses:
  `ToolTipWindow`

Base class for the different Windows and Mac implementation.

Method Summary
| ``__init__`(self, parent, classParent)` Default class constructor.
| ``AlphaCycle`(self, event)` Handles the wx.EVT_TIMER event for L{SuperToolTip}.
| ``CalculateBestSize`(self)` Calculates the L{SuperToolTip} window best size.
| ``DropShadow`(self, drop)` Adds a shadow under the window (Windows XP only).
| ``Invalidate`(self)` Invalidate L{SuperToolTip} size and repaint it.
| ``MakeWindowTransparent`(self, amount)` Makes the L{SuperToolTip} window transparent.
| ``OnDestroy`(self, event)` Handles the wx.EVT_LEFT_DOWN, wx.EVT_LEFT_DCLICK and wx.EVT_KILL_FOCUS events for L{SuperToolTip}.
| ``OnEraseBackground`(self, event)` Handles the wx.EVT_ERASE_BACKGROUND event for L{SuperToolTip}.
| ``OnMouseMotion`(self, event)` Handles the wx.EVT_MOTION event for L{SuperToolTip}.
| ``OnPaint`(self, event)` Handles the wx.EVT_PAINT event for L{SuperToolTip}.
| ``OnSize`(self, event)` Handles the wx.EVT_SIZE event for L{SuperToolTip}.
| ``SetFont`(self, font)` Sets the L{SuperToolTip} font globally.
| ``StartAlpha`(self, isShow)` Start the timer which set the alpha channel for L{SuperToolTip}.

Method Details

### __init__(self, parent, classParent)
(Constructor)

Default class constructor.

@param parent: the L{SuperToolTip} parent widget; @param classParent: the L{SuperToolTip} class object.

  Overrides:
    `__builtin__.object.__init__`

### AlphaCycle(self, event)

Handles the wx.EVT_TIMER event for L{SuperToolTip}.

### CalculateBestSize(self)

Calculates the L{SuperToolTip} window best size.

### DropShadow(self, drop=True)

Adds a shadow under the window (Windows XP only).

@param drop: whether to drop a shadow or not.

### Invalidate(self)

Invalidate L{SuperToolTip} size and repaint it.

### MakeWindowTransparent(self, amount)

Makes the L{SuperToolTip} window transparent.

@param amount: the alpha channel value.

### OnDestroy(self, event)

Handles the wx.EVT_LEFT_DOWN, wx.EVT_LEFT_DCLICK and wx.EVT_KILL_FOCUS events for L{SuperToolTip}. All these events destroy the L{SuperToolTip}, unless the user clicked on one hyperlink.

### OnEraseBackground(self, event)

Handles the wx.EVT_ERASE_BACKGROUND event for L{SuperToolTip}.

### OnMouseMotion(self, event)

Handles the wx.EVT_MOTION event for L{SuperToolTip}.

### OnPaint(self, event)

Handles the wx.EVT_PAINT event for L{SuperToolTip}.

### OnSize(self, event)

Handles the wx.EVT_SIZE event for L{SuperToolTip}.

### SetFont(self, font)

Sets the L{SuperToolTip} font globally.

@param font: the font to set.

### StartAlpha(self, isShow)

Start the timer which set the alpha channel for L{SuperToolTip}.

@param isShow: whether L{SuperToolTip} is being shown or deleted.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:55:09 2009 | http://epydoc.sf.net